# Taleweaver Thunderstore Plugin

This unofficial TaleSpire plugin that allows using Thunderstore and R2ModMan with Taleweaver mods. Why would you
want to do that? Mod.io (or at least the Talespire use of it) packs one custom mini per pack. That means if you 
want to get a large collection of minis you have to go hunting one by one.

With the Thunderstore solution, a content developer can create a pack that includes multiple Taleweaver minis at
once allowing the user to download more assets quicker.

This plugin, like all others, is free but if you want to donate, use: http://LordAshes.ca/TalespireDonate/Donate.php

## Change Log

```
1.0.0: Initial release
```

## Install

Use R2ModMan or similar installer to install this plugin.

## Configuration

Before you can use the plugin, you need to configure the Local Content Packs folder. To do so, follow these steps:

1. Run Talepire with the plugin installed. Wait until Talespire loads the main menu.
2. Exit Talespire.
3. User the Edit Config in R2ModMan to edit the config for this plugin.
4. Set the "Local Content Mods Folder" setting to the full path of your Talespire Local Content Packs folder.
5. Save.
6. Start Talespire.

Note: You need to run Talespire once with the plugin installed in order for the configuration file to appear in
R2ModMan. If you skip steps 1 and 2 then the you will not find the configuration file for this plugin in the list.

## Warning

ATTENTION!!! ATTENTION!!! ATTENTION!!!

This plugin will delete the contents of the Local Content Packs folder! Do not run this plugin if you have added any
tsmod files to this folder manually and don't have the files backed up elsewhere. Any Taleweaver mods downloaded via
Thunderstore / R2ModMan will be copied over to the folder meaning if you remove them from R2ModMan they will also get
removed from the Local Content Packs folder on the next run of Talespire.

ATTENTION!!! ATTENTION!!! ATTENTION!!!

## Usage

User of this plugin don't need to do anything if the auto sync feature is turned on (which is the default). With this
feature on, when a board is loaded the plugin does a sync and copies all Thunderstore downloaded Taleweaver mods to
the Local Content Packs folder making the assets available in the Local section of the Creature library.

If additional mods are downloaded during the session, the sync can be triggered manually to add the new minis even
while Talespire is running.

``Home`` = Sync the Local Content Packs folder with downloaded Taleweaver mods.

## How To Make A Compatible Thunderstore Packs

Create a zip file that has the usual 4 files: icon.png, LICENSE.txt, manifest.json, README.md. Then create a ``plugins``
folder and create a ``CustomData`` folder in that folder. Place the tsMod files into that folder or some sub-hierarchy
of the folder. Do NOT zip the tsMod files. For example, a pack structure might look like:
```
icon.png
LICENSE.txt
manifest.json
README.md
plugins\CustomData\Bandits\bandit1.tsmod
plugins\CustomData\Bandits\bandit2.tsmod
plugins\CustomData\Bandits\bandit3.tsmod
plugins\CustomData\Thieves\thief1.tsmod
plugins\CustomData\Thieves\thief2.tsmod
```